Bug 69087 - Kickstart Install not alocate Raid Devices as indicated
Kickstart Install not alocate Raid Devices as indicated
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.2
All Linux
high Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-17 15:10 EDT by Leandro
Modified: 2007-03-26 23:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-18 07:36:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leandro 2002-07-17 15:10:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020606

Description of problem:
I am trying to install RH 7.2 on 32 Dell PowerEdge 2650, with 2 HDs, and the
installer are not respecting the raid device order, allocating the raid devices
(md0, md1 and md2) in other way than described in ks.cfg.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Create an ks.cfg like that attached
2.boot with intall floppy, using ks=floppy
3.check the devices created

ks.cfg
===========================
install
text
nfs --server 10.22.13.200 --dir /kickstart
device eth e1000
driverdisk hda --type iso9660
lang en_US
langsupport --default en_US en_US
keyboard us
mouse genericps/2 --device psaux --emulthree
xconfig --card "ATI Mach64"
network --device eth0 --bootproto dhcp --nameserver 10.22.13.200
rootpw --iscrypted $1$9M`NYcka$So8TKsqyJRN2PNnKnEzLv0
firewall --disabled
authconfig --enableshadow --enablemd5 --enablenis --nisdomain xxxxxx.com.br
--nisserver xxxxxxx.com.br
timezone Etc/GMT+3
zerombr yes
bootloader --useLilo
reboot
# The following is the partition information you requested
# Note that any partitions you deleted are not expressed
# here so unless you clear all partitions first, this is
# not guaranteed to work
clearpart --linux
part /utils --fstype vfat --start 1 --end 7 --asprimary --ondisk sdb

part raid.02 --size 5000 --asprimary --ondisk sdb
part raid.01 --size 5000 --asprimary --ondisk sda

part raid.12 --size 5000 --asprimary --ondisk sdb
part raid.11 --size 5000 --asprimary --ondisk sda

part swap --size 2000 --ondisk sda
part swap --size 2000 --ondisk sda
part swap --size 2000 --ondisk sdb
part swap --size 2000 --ondisk sdb

part raid.22 --size 1 --grow --ondisk sdb
part raid.21 --size 1 --grow --ondisk sda

raid / --level=RAID1 --fstype ext3 --device md0 raid.01 raid.02
raid /sys2 --level=RAID1 --fstype ext3 --device md1 raid.11 raid.12
raid /part2 --level=RAID0 --fstype ext3 --device md2 raid.21 raid.22

%packages@ Printing Support
@ Classic X Window System
@ X Window System
@ Laptop Support
@ Network Support
@ NFS File Server
@ Network Managed Workstation
@ Utilities
@ Legacy Application Support
@ Software Development
@ Kernel Development
@ Windows Compatibility / Interoperability

%post
=========================================





Actual Results:  With this ks.cfg, every time i try to install, i got an
diferent device for / raid filesystem, and another one to each other filesystem
I am creating.

Thats it. Anaconda is not respect the instruction to create de raid devices,
with the especified partitions.



Expected Results:  The correct filesystem creation and system install.

Additional info:

I have tried other variants of this ks.cfg without sucess. When I specify the
partitions with cylinders, the same happens, but the partitions are created on
sdb out of order, like this:

part section of ks.cfg above:
========================================
part /utils --fstype vfat --start 1 --end 7 --asprimary --ondisk sdb

part raid.02 --size 5000 --asprimary --ondisk sdb --start 8 --end 644
part raid.01 --size 5000 --asprimary --ondisk sda --start 8 --end 644

part raid.12 --size 5000 --asprimary --ondisk sdb --start 645 --end 1281
part raid.11 --size 5000 --asprimary --ondisk sda --start 645 --end 1281

part swap --size 2000 --ondisk sda
part swap --size 2000 --ondisk sda
part swap --size 2000 --ondisk sdb
part swap --size 2000 --ondisk sdb

part raid.22 --size 1 --grow --ondisk sdb
part raid.21 --size 1 --grow --ondisk sda

raid / --level=RAID1 --fstype ext3 --device md0 raid.01 raid.02
raid /sys2 --level=RAID1 --fstype ext3 --device md1 raid.11 raid.12
raid /part2 --level=RAID0 --fstype ext3 --device md2 raid.21 raid.22
=============================================

The state of partitons after this on sdb:
==============================================
   Device Boot    Start       End    Blocks   Id  System
/dev/sdb1             8       644   5116702+  fd  Linux raid 
autodetect
/dev/sdb2   *         1         7     56196    6  FAT16
/dev/sdb3           645      1281   5116702+  fd  Linux raid autodetect
/dev/sdb4          1282      8924  61392397+   f  Win95 Ext'd (LBA)
/dev/sdb5          1282      1536   2048256   82  Linux swap
/dev/sdb6          1537      1791   2048256   82  Linux swap
/dev/sdb7          1792      8924  57295791   fd  Linux raid autodetect
==========================================

Also I would like to know why --onprimary parameter isn't working. Has it been
discontinued?
Comment 1 Jeremy Katz 2002-07-17 23:34:59 EDT
Red Hat Linux 7.2 does not support explicitly setting the raid device in
kickstart.  This is supported again in later releases.
Comment 2 Leandro 2002-07-18 07:36:52 EDT
Does RedHat 7.3 supports the explicitly setting the raid device in
kickstart?
Comment 3 Jeremy Katz 2002-07-18 09:06:10 EDT
Yes.

Note You need to log in before you can comment on or make changes to this bug.